Summary: Simple library and a wrapper for imlib2.
Name: giblib
Version: 1.2.2
Release: fr1
License: GPL
Group: System Environment/Libraries
Source: http://linuxbrit.co.uk/downloads/%{name}-%{version}.tar.gz
URL: http://linuxbrit.co.uk/giblib/
BuildRoot: %{_tmppath}/%{name}-root
Requires: imlib2
BuildRequires: imlib2-devel

%description
giblib is a utility library used by many of the applications from
linuxbrit.co.uk. It incorporates doubly linked lists, some string
functions, and a wrapper for imlib2. The wrapper does two things.
It gives you access to fontstyles, which can be loaded from files,
saved to files or defined dynamically through the API. It also,
and more importantly, wraps imlib2's context API.


%package devel
Summary: Static libs and header files for giblib.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Install this package if you intend to develop using the giblib library.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/%{name}-config
%{_includedir}/%{name}
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.la
%{_libdir}/lib%{name}.so

%changelog
* Fri May  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

